DOM::CSSStyleDeclaration Class Reference

`#include <css_value.h>`

## Public Member Functions

| CSSStyleDeclaration (const CSSStyleDeclaration &other)
| CSSStyleDeclaration (CSSStyleDeclarationImpl *impl)
CSSStyleDeclaration & | operator= (const CSSStyleDeclaration &other)
DOM::DOMString | cssText () const
void | setCssText (const DOM::DOMString &)
unsigned long | length () const
CSSRule | parentRule () const
DOM::DOMString | getPropertyValue (const DOM::DOMString &propertyName) const
DOM::DOMString | getPropertyValue (const DOM::DOMString &propertyName)
CSSValue | getPropertyCSSValue (const DOM::DOMString &propertyName) const
CSSValue | getPropertyCSSValue (const DOM::DOMString &propertyName)
DOM::DOMString | removeProperty (const DOM::DOMString &propertyName)
DOM::DOMString | getPropertyPriority (const DOM::DOMString &propertyName) const
DOM::DOMString | getPropertyPriority (const DOM::DOMString &propertyName)
void | setProperty (const DOM::DOMString &propertyName, const DOM::DOMString &value, const DOM::DOMString &priority)
DOM::DOMString | item (unsigned long index) const
DOM::DOMString | item (unsigned long index)
CSSStyleDeclarationImpl * | handle () const
bool | isNull () const

## Protected Attributes

CSSStyleDeclarationImpl * | impl

## Detailed Description

The `CSSStyleDeclaration` interface represents a single CSS declaration block .

This interface may be used to determine the style properties currently set in a block or to set style properties explicitly within the block.

While an implementation may not recognize all CSS properties within a CSS declaration block, it is expected to provide access to all specified properties through the `CSSStyleDeclaration` interface. Furthermore, implementations that support a specific level of CSS should correctly handle CSS shorthand properties for that level. For a further discussion of shorthand properties, see the `CSS2Properties` interface.

Definition at line 60 of file css_value.h.

## Member Function Documentation

DOMString DOM::CSSStyleDeclaration::cssText | ( |  | ) | const

The parsable textual representation of the declaration block (including the surrounding curly braces).

Setting this attribute will result in the parsing of the new value and resetting of the properties in the declaration block.

Definition at line 63 of file css_value.cpp.

CSSValue DOM::CSSStyleDeclaration::getPropertyCSSValue | ( | const DOM::DOMString & | propertyName | ) | const

Used to retrieve the object representation of the value of a CSS property if it has been explicitly set within this declaration block.

This method returns null if the property is a shorthand property. Shorthand property values can only be accessed and modified as strings, using the `getPropertyValue` and `setProperty` methods.

Parameters

  propertyName | The name of the CSS property. See the CSS property index .

Returns
  Returns the value of the property if it has been explicitly set for this declaration block. Returns the `null` if the property has not been set.

Definition at line 93 of file css_value.cpp.

DOMString DOM::CSSStyleDeclaration::getPropertyPriority | ( | const DOM::DOMString & | propertyName | ) | const

Used to retrieve the priority of a CSS property (e.g.

the `"important"` qualifier) if the property has been explicitly set in this declaration block.

Parameters

  propertyName | The name of the CSS property. See the CSS property index .

Returns
  A string representing the priority (e.g. `"important"` ) if one exists. The empty string if none exists.

Definition at line 113 of file css_value.cpp.

DOMString DOM::CSSStyleDeclaration::getPropertyValue | ( | const DOM::DOMString & | propertyName | ) | const

Used to retrieve the value of a CSS property if it has been explicitly set within this declaration block.

Parameters

  propertyName | The name of the CSS property. See the CSS property index .

Returns
  Returns the value of the property if it has been explicitly set for this declaration block. Returns the empty string if the property has not been set.

Definition at line 80 of file css_value.cpp.

DOMString DOM::CSSStyleDeclaration::item | ( | unsigned long | index | ) | const

Used to retrieve the properties that have been explicitly set in this declaration block.

The order of the properties retrieved using this method does not have to be the order in which they were set. This method can be used to iterate over all properties in this declaration block.

Parameters

  index | Index of the property name to retrieve.

Returns
  The name of the property at this ordinal position. The empty string if no property exists at this position.

Definition at line 146 of file css_value.cpp.

unsigned long DOM::CSSStyleDeclaration::length | ( |  | ) | const

The number of properties that have been explicitly set in this declaration block.

Definition at line 135 of file css_value.cpp.

CSSRule DOM::CSSStyleDeclaration::parentRule | ( |  | ) | const

The CSS rule that contains this declaration block.

Definition at line 151 of file css_value.cpp.

DOMString DOM::CSSStyleDeclaration::removeProperty | ( | const DOM::DOMString & | propertyName | ) |

Used to remove a CSS property if it has been explicitly set within this declaration block.

Parameters

  propertyName | The name of the CSS property. See the CSS property index .

Returns
  Returns the value of the property if it has been explicitly set for this declaration block. Returns the empty string if the property has not been set or the property name does not correspond to a valid CSS2 property.

Exceptions

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

Definition at line 101 of file css_value.cpp.

void DOM::CSSStyleDeclaration::setCssText | ( | const DOM::DOMString & | value | ) |

see cssText

Exceptions

  CSSException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.

Exceptions

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

Definition at line 69 of file css_value.cpp.

void DOM::CSSStyleDeclaration::setProperty | ( | const DOM::DOMString & | propertyName,
|  | const DOM::DOMString & | value,
|  | const DOM::DOMString & | priority
| ) |  |

Used to set a property value and priority within this declaration block.

Parameters

  propertyName | The name of the CSS property. See the CSS property index .
  value | The new value of the property.
  priority | The new priority of the property (e.g. `"important"` ).

Returns

Exceptions

  CSSException | SYNTAX_ERR: Raised if the specified value has a syntax error and is unparsable.
  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

Definition at line 122 of file css_value.cpp.

The documentation for this class was generated from the following files:

- css_value.h
- css_value.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys